Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

Appodeal modular plugin questions
Started by XeduR @Spyric Sep 16 2019 08:00 AM

3 replies to this topic
appodeal beta modular

Best Answer Rob Miracle , 16 September 2019 - 10:00 AM

For the first question, basically 2.5.7/2.5.8 are the latest release builds.  Think of it like our daily builds. We keep updating our build number for dailies then we release a public build which has a higher version number than the last daily.   Then we start making dailies again.  So at some point, beta will get updated to newer SDK versions like non-beta will be more of a longer term solution.

 

As far as Amazon goes and the timing, I'll have to ask about that. But that said, we have to wait on SDK's from Appodeal. Corona's side of the plugin really little to do with what works on Amazon or not. Ad provider SDK's want Google Play services, which are not available on Kindle devices and I'm sure phones that Amazon sells (which has Google Play) would prefer ads to show apps on the Amazon app store.  It kinda makes figuring out what ads to deliver a bit of a challenge.

 

#3 I would suggest trying it without StartApp if you don't want it.

 

Rob

[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

XeduR @Spyric

[GLOBAL: userInfoPane.html]
XeduR @Spyric
  • Contributor

  • 944 posts
  • Corona SDK

I've been looking at adding Appodeal to an upcoming project of mine, and since there's been all sorts of questions and uncertainty concerning the plugin here on the forums, I thought I'd ask before getting to the point of adding it.

 

-
 

1) The documentation (https://docs.coronalabs.com/plugin/appodeal/) states that the Stable plugin version is 2.5.7 for Android and 2.5.8 for iOS, but the beta plugin's versions are 2.5.3 for both. For what reason is the beta plugin behind the stable version? Are there some important differences between the two to take into consideration?

 

 

2) The documentation also states: "Be warned that plugin builds for Amazon store are restricted at the moment. We are working on the appropriate SDK/plugin update and the ability to publish your apps, which includes Corona Appodeal modular plugin, to Amazon store should become available as soon as possible."

 

Is there a rough ETA for when this might be addressed? For instance, during 2019? Q1 or Q2 2020?

 

 

3) StartApp seems to be a part of the plugin's base. Is it required for the plugin to work or can it be removed with the rest of unnecessary ad unit types and providers?



[TOPIC: post.html]
#2

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,207 posts
  • Enterprise

  Best Answer

For the first question, basically 2.5.7/2.5.8 are the latest release builds.  Think of it like our daily builds. We keep updating our build number for dailies then we release a public build which has a higher version number than the last daily.   Then we start making dailies again.  So at some point, beta will get updated to newer SDK versions like non-beta will be more of a longer term solution.

 

As far as Amazon goes and the timing, I'll have to ask about that. But that said, we have to wait on SDK's from Appodeal. Corona's side of the plugin really little to do with what works on Amazon or not. Ad provider SDK's want Google Play services, which are not available on Kindle devices and I'm sure phones that Amazon sells (which has Google Play) would prefer ads to show apps on the Amazon app store.  It kinda makes figuring out what ads to deliver a bit of a challenge.

 

#3 I would suggest trying it without StartApp if you don't want it.

 

Rob



[TOPIC: post.html]
#3

XeduR @Spyric

[GLOBAL: userInfoPane.html]
XeduR @Spyric
  • Contributor

  • 944 posts
  • Corona SDK

Thanks, Rob. I also look forward to hearing about the timeline for Amazon.



[TOPIC: post.html]
#4

agramonte

[GLOBAL: userInfoPane.html]
agramonte
  • Corona Geek

  • 1,245 posts
  • Corona SDK

- You can remove StartApp. Not needed.

- The last version that worked on Amazon is 2.4.8 and that is what I currently use for my Amazon builds. I have an old copy of the 2.4.8 files and I just do a native Android build and replace the newest libraries with the old ones. Corona doesn't support it, but so far Appodeal has helped me out a couple of times (so they don't seem to care I am using an ancient version). You have to remove Yandex or Amazon will reject the .apk. And I have only tried this with the new 64 bit builds.




[topic_controls]
[/topic_controls]

Also tagged with one or more of these keywords: appodeal, beta, modular